Get Merchant Details
curl --request GET \
--url https://api.example.com/api/v1/management/merchants/{id} \
--header 'x-api-key: <x-api-key>'import requests
url = "https://api.example.com/api/v1/management/merchants/{id}"
headers = {"x-api-key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<x-api-key>'}};
fetch('https://api.example.com/api/v1/management/merchants/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"merchant": {
"id": "<string>",
"name": "<string>",
"email": "<string>",
"wallet_address": "<string>",
"balance": "<string>",
"status": "<string>",
"created_at": "<string>",
"device": {}
}
}Merchants
Get Merchant Details
Fetch single merchant profile, withdrawable balance, and active POS terminal device specs.
GET
/
api
/
v1
/
management
/
merchants
/
{id}
Get Merchant Details
Headers
string
required
Your test or live SDK API key (
pk_test_... or pk_live_...).Path Parameters
string
required
Unique merchant identifier (e.g.,
mer_cm6abc123).Response Fields
object
Show Merchant Object
Show Merchant Object
string
Unique Merchant ID.
string
Merchant display name.
string
Merchant account email.
string
Privy embedded wallet address.
string
Current net withdrawable USDC balance.
string
Merchant status:
ACTIVE, PAUSED, FROZEN.string
ISO 8601 creation timestamp.
object
Primary active POS terminal specs (
device_uuid, public_key, model, platform, os_version, app_version).Response Example
{
"merchant": {
"id": "mer_cm6abc123",
"name": "Corner Bakery",
"email": "pos@bakery.com",
"wallet_address": "0x456...def",
"balance": "1250.500000",
"status": "ACTIVE",
"created_at": "2026-08-01T10:00:00.000Z",
"device": {
"id": "dev_789",
"device_uuid": "uuid_e4d9b6...",
"public_key": "0xEd25519PublicKey...",
"model": "PAX A920",
"platform": "android",
"os_version": "Android 14",
"app_version": "1.2.0",
"status": "ACTIVE"
}
}
}
⌘I

